petsc-3.10.5 2019-03-28
Report Typos and Errors

# DMDAGetCorners

Returns the global (x,y,z) indices of the lower left corner and size of the local region, excluding ghost points.

### Synopsis

    #include "petscdmda.h"
    PetscErrorCode  DMDAGetCorners(DM da,PetscInt *x,PetscInt *y,PetscInt *z,PetscInt *m,PetscInt *n,PetscInt *p)

Not collective

### Input Parameter

da -the distributed array

### Output Parameters

| x,y,z | - the corner indices (where y and z are optional; these are used for 2D and 3D problems)
| m,n,p | - widths in the corresponding directions (where n and p are optional; these are used for 2D and 3D problems)

### Note

The corner information is independent of the number of degrees of freedom per node set with the DMDACreateXX() routine. Thus the x, y, z, and m, n, p can be thought of as coordinates on a logical grid, where each grid point has (potentially) several degrees of freedom. Any of y, z, n, and p can be passed in as NULL if not needed.

### Keywords

distributed array, get, corners, nodes, local indices

### See Also

DMDAGetGhostCorners(), DMDAGetOwnershipRanges()

### Level

beginner

### Location

src/dm/impls/da/dacorn.c

### Examples

src/dm/examples/tutorials/ex3.c.html
src/dm/examples/tutorials/ex6.c.html
src/dm/examples/tutorials/ex10.c.html
src/dm/examples/tutorials/ex15.c.html
src/dm/examples/tutorials/swarm_ex1.c.html
src/dm/examples/tutorials/swarm_ex3.c.html
src/dm/examples/tutorials/ex11f90.F90.html
src/dm/examples/tutorials/ex13f90.F90.html
src/ksp/ksp/examples/tutorials/ex25.c.html
src/ksp/ksp/examples/tutorials/ex28.c.html
src/ksp/ksp/examples/tutorials/ex29.c.html
Index of all DMDA routines
Table of Contents for all manual pages
Index of all manual pages